Appearance
List tests
Returns the tests available to the organization associated with the bearer token.
GET
https://app.smalltalk2.me/api/integration/list_testsRequest
This endpoint has no query parameters.
bash
curl 'https://app.smalltalk2.me/api/integration/list_tests' \
-H 'Authorization: Bearer <token>'Response
The response is a JSON object containing a tests array.
| Property | Type | Availability | Description |
|---|---|---|---|
tests | object[] | always | Tests available to the organization. The array can be empty. |
Each item in tests has these properties:
| Property | Type | Availability | Description |
|---|---|---|---|
id | string | always | Identifies a test available to the organization. |
name | string | always | Descriptive title for the test. |
json
{
"tests": [
{
"id": "1b23q",
"name": "Speaking test"
},
{
"id": "42a621",
"name": "Writing test"
}
]
}Pass a selected test id as test_id when you send the test.